DataCubeControllerUpdateTransform Method |
PUT /DataCube/Transform/{id}
Updates the specified transform on a data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Transform")]
public IActionResult UpdateTransform(
Guid id,
[FromBodyAttribute] TransformData options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Transform")>
Public Function UpdateTransform (
id As Guid,
<FromBodyAttribute> options As TransformData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Transform")]
IActionResult^ UpdateTransform(
Guid id,
[FromBodyAttribute] TransformData^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Transform")>]
member UpdateTransform :
id : Guid *
[<FromBodyAttribute>] options : TransformData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to update the transform on. - options
- Type: Dundas.BI.WebApi.ModelsTransformData
The transform to update. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also